Name:           python-gurux-dlms
Version:        1.0.186
Release:        %autorelease
# Fill in the actual package summary to submit package to Fedora
Summary:        Gurux DLMS library for Python.

# No license information obtained, it's up to the packager to fill it in
License:        ...
URL:            https://github.com/gurux/gurux.dlms.python
Source:         %{pypi_source gurux_dlms}

BuildArch:      noarch
BuildRequires:  python3-devel


# Fill in the actual package description to submit package to Fedora
%global _description %{expand:
This is package 'gurux-dlms' generated automatically by pyp2spec.}

%description %_description

%package -n     python3-gurux-dlms
Summary:        %{summary}

%description -n python3-gurux-dlms %_description


%prep
%autosetup -p1 -n gurux_dlms-%{version}


%generate_buildrequires
%pyproject_buildrequires


%build
%pyproject_wheel


%install
%pyproject_install
# For official Fedora packages, including files with '*' +auto is not allowed
# Replace it with a list of relevant Python modules/globs and list extra files in %%files
%pyproject_save_files '*' +auto


%check
%_pyproject_check_import_allow_no_modules -t


%files -n python3-gurux-dlms -f %{pyproject_files}


%changelog
%autochangelog